
% All programs in this collection are free software: 
% you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.


function ASSERT( assertions, varargin );

ok = all( assertions(:) );
if( exist('assert','builtin') )
  assert( ok, varargin{:} );
else
  if( ok )
    return;
  end;
  if( length(varargin) == 0 )
    message = 'assertion failed';
  else
    message = varargin{1};
  end;
  error( message );
end;

